> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Release a held payment

> Release a previously held payment so normal processing can resume.

Any held payment can be released regardless of its current status. Once released, pending
payments will be submitted in the next processing window. Releasing a held funding payment
unblocks downstream payments that were waiting for verification.



## OpenAPI

````yaml /spec/openapi.json post /payments/{payment}/release
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /payments/{payment}/release:
    post:
      tags:
        - Payments
      summary: Release a held payment
      description: >-
        Release a previously held payment so normal processing can resume.


        Any held payment can be released regardless of its current status. Once
        released, pending

        payments will be submitted in the next processing window. Releasing a
        held funding payment

        unblocks downstream payments that were waiting for verification.
      operationId: payments-release
      parameters:
        - name: payment
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"payment"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Payment'
              example:
                id: <id>
                object: payment
                data:
                  payroll:
                    id: <id>
                    object: payroll
                    links:
                      self: /payrolls/<id>
                  remittance_account: null
                  destination: payroll_float
                  method: pad
                  amount: 0
                  status: pending
                  process_at: '2026-01-27'
                  expected_at: '2026-01-27'
                  is_impacted_by_weekend_or_holiday: false
                  is_held: false
                  held_at: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /payments/<id>
components:
  schemas:
    Payment:
      type: object
      title: Payment
      properties:
        payroll:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"payroll"`).
              readOnly: true
        remittance_account: {}
        destination:
          type: string
          description: >-
            Where the payment is destined. `payroll_float` is the funding debit
            from the employer's bank account. `employee` is a credit to an
            employee or contractor. `cra` and `rq` are remittances to the Canada
            Revenue Agency (CRA) and Revenu Québec (RQ), respectively.


            Where the payment is destined. For example, `employee` for payments
            to employees, `cra` for remittances to CRA, `payroll_float` for
            business funding.
          enum:
            - bill_pay
            - cra
            - employee
            - internal
            - no_op
            - payroll_float
            - rq
        method:
          type: string
          description: >-
            How the payment will be processed. `pad` (Pre-Authorized Debit) is
            used for employer funding. `direct_deposit` is used for employee
            credits. `manual` indicates the payment is handled outside of Nmbr.


            How the payment will be processed. For example, `direct_deposit` or
            `pad`.
          enum:
            - direct_deposit
            - manual
            - pad
            - wire
        amount:
          type: number
          description: The dollar amount of the payment.
          format: decimal
        status:
          type: string
          description: >-
            The current processing status of the payment. Payments begin as
            `pending`, move to `processing` when submitted to the banking
            network, and settle as `paid` or `failed`. Held payments that pass
            their processing date become `overdue`.
          enum:
            - canceled
            - failed
            - overdue
            - paid
            - pending
            - processing
        process_at:
          type: string
          description: >-
            The date on which Nmbr will submit the payment to the banking
            network for processing.
          nullable: true
          format: date
        expected_at:
          type: string
          description: >-
            The date on which the payment is expected to arrive at its
            destination.
          format: date
        is_impacted_by_weekend_or_holiday:
          type: boolean
          description: >-
            Whether the payment dates have been adjusted due to a weekend or
            bank holiday.


            Whether the payment dates have been adjusted due to a weekend or
            bank holiday.
        is_held:
          type: boolean
          description: >-
            Whether the payment is currently held. A held payment will not be
            submitted for processing until it is released.
        held_at:
          type: string
          description: >-
            The timestamp when the payment was placed on hold. `null` if the
            payment is not held.


            The timestamp when the payment was placed on hold. `null` if the
            payment is not held.
          readOnly: true
          nullable: true
          format: dateTime
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````